it.csi.mddtools.guigen

## Interface RepartModule

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RepartModule
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Repart Module'. Rappresenta un modulo di artefatti disponibile sul repository degli artefatti.

  The following features are supported:

  - `Organization`
  - `Name`
  - `Version`
  - `Type`
  - `Artifacts`
  See Also:
    `GuigenPackage.getRepartModule()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<RepartArtifact>` | `getArtifacts()` Returns the value of the 'Artifacts' containment reference list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `java.lang.String` | `getOrganization()` Returns the value of the 'Organization' attribute
    `RepartModuleTypes` | `getType()` Returns the value of the 'Type' attribute.
    `java.lang.String` | `getVersion()` Returns the value of the 'Version' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setOrganization(java.lang.String value)` Sets the value of the '`Organization`' attribute
    `void` | `setType(RepartModuleTypes value)` Sets the value of the '`Type`' attribute
    `void` | `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getOrganization

          java.lang.String getOrganization()

      Returns the value of the 'Organization' attribute. organizzazione a cui appartiene il modulo
      Returns:
        the value of the 'Organization' attribute.
      See Also:
        `setOrganization(String)`, `GuigenPackage.getRepartModule_Organization()`

    - #### setOrganization

          void setOrganization(java.lang.String value)

      Sets the value of the '`Organization`' attribute.
      Parameters:
        `value` - the new value of the 'Organization' attribute.
      See Also:
        `getOrganization()`

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute. nome del modulo
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getRepartModule_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getVersion

          java.lang.String getVersion()

      Returns the value of the 'Version' attribute. versione del modulo
      Returns:
        the value of the 'Version' attribute.
      See Also:
        `setVersion(String)`, `GuigenPackage.getRepartModule_Version()`

    - #### setVersion

          void setVersion(java.lang.String value)

      Sets the value of the '`Version`' attribute.
      Parameters:
        `value` - the new value of the 'Version' attribute.
      See Also:
        `getVersion()`

    - #### getType

          RepartModuleTypes getType()

      Returns the value of the 'Type' attribute. The literals are from the enumeration `RepartModuleTypes`. tipo di modulo
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `RepartModuleTypes`, `setType(RepartModuleTypes)`, `GuigenPackage.getRepartModule_Type()`

    - #### setType

          void setType(RepartModuleTypes value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `RepartModuleTypes`, `getType()`

    - #### getArtifacts

          org.eclipse.emf.common.util.EList<RepartArtifact> getArtifacts()

      Returns the value of the 'Artifacts' containment reference list. The list contents are of type `RepartArtifact`. Elenco degli artefatti contenuti nel modulo
      Returns:
        the value of the 'Artifacts' containment reference list.
      See Also:
        `GuigenPackage.getRepartModule_Artifacts()`